//
//  ViewController.m
//  TwoColumnGridFromTwoDataSources
//
//  Created by Stephen Zaharuk on 1/7/15.
//  Copyright (c) 2015 Infragistics. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
{
    IGGridView* _gridView;
    IGGridViewDataSourceHelper* _dsh;
}

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    _gridView = [[IGGridView alloc]initWithFrame:self.view.bounds];
    _gridView.headerHeight = 0;
    _gridView.autoresizingMask = UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth;
    [self.view addSubview:_gridView];
    
    NSArray* fields = @[@"First Name", @"Last Name", @"Street", @"City", @"State", @"Zip" ];
    NSArray* values = @[@"Tim", @"Smith", @"112 5th Ave", @"Seattle", @"WA", @98119];
    
    NSMutableArray* data = [[NSMutableArray alloc]init];
    for(NSInteger i = 0;i  < fields.count; i++)
    {
        CombinedObject* obj = [[CombinedObject alloc]init];
        obj.sortOrder = i;
        obj.fieldLabel = fields[i];
        obj.value = values[i];
        [data addObject:obj];
    }
    
    _dsh = [[IGGridViewDataSourceHelper alloc]init];
    _dsh.autoGenerateColumns = NO;
    [_dsh.columnDefinitions addObject:[[IGGridViewColumnDefinition alloc]initWithKey:@"fieldLabel"]];
    [_dsh.columnDefinitions addObject:[[IGGridViewColumnDefinition alloc]initWithKey:@"value"]];
    _dsh.data = data;
    
    _gridView.dataSource = _dsh;
}


@end

@implementation CombinedObject


@end
